var http;
var azan_time;
var to_play;
var closest;

window.onload = function()
{
	var address = System.Gadget.Settings.read("address");
	var offset = System.Gadget.Settings.read("offset");

	System.Gadget.settingsUI = "Settings.html";
        System.Gadget.onSettingsClosed = SettingsClosed;

	SettingsClosed();
}

function SettingsClosed()
{
	var address = System.Gadget.Settings.read("address");
	var offset = System.Gadget.Settings.read("offset");

	if(address != "" && offset != "")
	{
		var current_time = get_time("timestamp");

		http = new XMLHttpRequest();

		//Passing timestamp so that the data isn't cached.
		http.open("POST", "http://gba-source.com/google/?address=" + address + "&gmt=" + offset + "&time=" + current_time);
		http.onreadystatechange = useHttpResponse;
		http.send(null);
	}
}

function useHttpResponse()
{
	if(http.readyState == 4 && http.status == 200)
	{
		var textOut = http.responseText;

		var html_index = textOut.indexOf("</html>");

		azan_time = textOut.substring(html_index);
		azan_time = azan_time.replace("</html>", "");

		textOut = textOut.replace(azan_time, "");

		var azan_time_array = azan_time.split("|");

		azan_time = azan_time_array[0];
		azan_time = parseFloat(azan_time);
		to_play = azan_time_array[1];
		closest = azan_time_array[2];

		document.getElementById('DataArea').innerHTML = textOut;

		check_time();
	}
}

function check_time()
{
	current_time = get_time();

	//If it's time, then play adhan and/or get closest event
	if(current_time == azan_time)
	{
		//If it's not sunrise or sunset, then it's prayer time. Ergo, play the adhan.
		if(to_play == "play")
		{
			if(!(current_time >= 0000 && current_time <= 0005))
			{
				mediaPlayer.controls.play();
			}
		}

		//Get next closest event.
		setTimeout(SettingsClosed,60000);
	}
	//Did a network disconnection result in the time not getting updated?
	else if((current_time > azan_time) && (closest != -1))
	{
		setTimeout(SettingsClosed,60000);
	}
	//Get new data past midnight.
	else if(current_time == 0001)
	{
		setTimeout(SettingsClosed,60000);
	}
	//We're just looping back every minute to check if it's time to play the adhan
	else
	{
		setTimeout(check_time,60000);
	}
}

//Call to server returns azan time in hh:mm format, so make sure we do the same.
//Timestamp is used so that data isn't cached.
function get_time(timestamp)
{
	var stamp = new Date();
	var hours = stamp.getHours();
	var time = "";

	if(hours < 10)
		hours = "0" + hours;

	var mins = stamp.getMinutes();

	if(mins < 10)
		mins = "0" + mins;

	if(timestamp != "timestamp")
	{
		time = hours + "" + mins;
	}
	else
	{
		time = stamp.getTime();
	}

	time = parseFloat(time);

	return time;
}