function init()
{
	var address = System.Gadget.Settings.read("address");
	if (address != "")
		address.value = address;

	var offset = System.Gadget.Settings.read("offset");
	if (offset != "")
		offset.value = offset;

	document.getElementById('address').value = address;
	document.getElementById('offset').value = offset;
}

System.Gadget.onSettingsClosing = SettingsClosing;

function SettingsClosing(event)
{
	if (event.closeAction == event.Action.commit)
	{
		variableName = address.value;
		System.Gadget.Settings.write("address", variableName);

		document.getElementById('address').value = variableName;

		variableName = offset.value;
		System.Gadget.Settings.write("offset", variableName);

		document.getElementById('offset').value = variableName;

		event.cancel = false;									
			
	}
	else if(event.closeAction == event.Action.cancel)
	{
		event.cancel = true;	
	}
}

function toggle(to_toggle)
{
	if(to_toggle == "settings")
	{
		document.getElementById("settings").style.display = "";
		document.getElementById("notes").style.display = "none";
		document.getElementById("credits").style.display = "none";
	}

	if(to_toggle == "notes")
	{
		document.getElementById("settings").style.display = "none";
		document.getElementById("notes").style.display = "";
		document.getElementById("credits").style.display = "none";
	}

	if(to_toggle == "credits")
	{
		document.getElementById("settings").style.display = "none";
		document.getElementById("notes").style.display = "none";
		document.getElementById("credits").style.display = "";
	}
}